@import '../common/style/vars';

html, body, #root {
  height: 100%;
}

body {
  background: $primary-color;
}

.login-page {
  background-color: $primary-color;
  height: 100%;

  > .title {
    padding-top: 10px;
    height: 60px;
    color: $text-color-alt;
  }

  > .content {
    height: calc(100% - 31px - 60px);
    color: $text-color-alt;
  }

  > .bottom {
    height: 31px;
  }

  .btn-link {
    color: rgba($text-color-alt, 0.65);

    &:hover {
      color: rgba($text-color-alt, 0.9);
    }
  }

  .alternative-login {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;

    .form-control {
      box-sizing: border-box;
      height: auto;
      padding: 10px;
      font-size: 16px;

      &:focus {
        z-index: 2;
      }
    }

    input[type="text"] {
      margin-bottom: -1px;
      border-bottom-right-radius: 0;
      border-bottom-left-radius: 0;
    }

    input[type="password"] {
      margin-bottom: 10px;
      border-top-right-radius: 0;
      border-top-left-radius: 0;
    }
  }
}
